Upstream information

CVE-2018-1000802 at MITRE

Description

Python Software Foundation Python (CPython) version 2.7 contains a CWE-77: Improper Neutralization of Special Elements used in a Command ('Command Injection') vulnerability in shutil module (make_archive function) that can result in Denial of service, Information gain via injection of arbitrary files on the system or entire drive. This attack appear to be exploitable via Passage of unfiltered user input to the function. This vulnerability appears to have been fixed in after commit add531a1e55b0a739b0f42582f1c9747e5649ace.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 5.3
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
SUSE Bugzilla entry: 1109663 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • libpython2_7-1_0 >= 2.7.13-28.16.1
  • python >= 2.7.13-28.16.1
  • python-base >= 2.7.13-28.16.1
  • python-xml >= 2.7.13-28.16.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2018-2520
SUSE CaaS Platform 3.0
  • libpython2_7-1_0 >= 2.7.13-28.16.1
  • python >= 2.7.13-28.16.1
  • python-base >= 2.7.13-28.16.1
  • python-xml >= 2.7.13-28.16.1
Patchnames:
SUSE-CAASP-3.0-2018-2520
SUSE CaaS Platform ALL
  • libpython2_7-1_0 >= 2.7.13-28.16.1
  • python >= 2.7.13-28.16.1
  • python-base >= 2.7.13-28.16.1
  • python-xml >= 2.7.13-28.16.1
Patchnames:
SUSE-CAASP-ALL-2018-2520
SUSE Enterprise Storage 5
  • python >= 2.7.13-28.16.1
  • python-strict-tls-check >= 2.7.13-28.16.1
Patchnames:
SUSE-Storage-5-2018-2520
SUSE Linux Enterprise Desktop 12 SP3
  • libpython2_7-1_0 >= 2.7.13-28.16.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.16.1
  • python >= 2.7.13-28.16.1
  • python-base >= 2.7.13-28.16.1
  • python-curses >= 2.7.13-28.16.1
  • python-devel >= 2.7.13-28.16.1
  • python-tk >= 2.7.13-28.16.1
  • python-xml >= 2.7.13-28.16.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-2520
SUSE Linux Enterprise Desktop 12 SP4
  • libpython2_7-1_0 >= 2.7.13-28.16.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.16.1
  • python >= 2.7.13-28.16.1
  • python-base >= 2.7.13-28.16.1
  • python-curses >= 2.7.13-28.16.1
  • python-devel >= 2.7.13-28.16.1
  • python-tk >= 2.7.13-28.16.1
  • python-xml >= 2.7.13-28.16.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2018-2520
SUSE Linux Enterprise Module for Basesystem 15
  • libpython2_7-1_0 >= 2.7.14-7.3.1
  • python >= 2.7.14-7.3.1
  • python-base >= 2.7.14-7.3.1
  • python-curses >= 2.7.14-7.3.1
  • python-devel >= 2.7.14-7.3.1
  • python-gdbm >= 2.7.14-7.3.1
  • python-xml >= 2.7.14-7.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-2136
SUSE Linux Enterprise Module for Desktop Applications 15
  • python >= 2.7.14-7.3.1
  • python-tk >= 2.7.14-7.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2018-2136
SUSE Linux Enterprise Server 12 SP3
  • libpython2_7-1_0 >= 2.7.13-28.16.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.16.1
  • python >= 2.7.13-28.16.1
  • python-32bit >= 2.7.13-28.16.1
  • python-base >= 2.7.13-28.16.1
  • python-base-32bit >= 2.7.13-28.16.1
  • python-curses >= 2.7.13-28.16.1
  • python-demo >= 2.7.13-28.16.1
  • python-doc >= 2.7.13-28.16.1
  • python-doc-pdf >= 2.7.13-28.16.1
  • python-gdbm >= 2.7.13-28.16.1
  • python-idle >= 2.7.13-28.16.1
  • python-tk >= 2.7.13-28.16.1
  • python-xml >= 2.7.13-28.16.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2520
SUSE Linux Enterprise Server 12 SP4
  • libpython2_7-1_0 >= 2.7.13-28.16.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.16.1
  • python >= 2.7.13-28.16.1
  • python-32bit >= 2.7.13-28.16.1
  • python-base >= 2.7.13-28.16.1
  • python-base-32bit >= 2.7.13-28.16.1
  • python-curses >= 2.7.13-28.16.1
  • python-demo >= 2.7.13-28.16.1
  • python-doc >= 2.7.13-28.16.1
  • python-doc-pdf >= 2.7.13-28.16.1
  • python-gdbm >= 2.7.13-28.16.1
  • python-idle >= 2.7.13-28.16.1
  • python-tk >= 2.7.13-28.16.1
  • python-xml >= 2.7.13-28.16.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2018-2520
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libpython2_7-1_0 >= 2.7.13-28.16.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.16.1
  • python >= 2.7.13-28.16.1
  • python-32bit >= 2.7.13-28.16.1
  • python-base >= 2.7.13-28.16.1
  • python-base-32bit >= 2.7.13-28.16.1
  • python-curses >= 2.7.13-28.16.1
  • python-demo >= 2.7.13-28.16.1
  • python-doc >= 2.7.13-28.16.1
  • python-doc-pdf >= 2.7.13-28.16.1
  • python-gdbm >= 2.7.13-28.16.1
  • python-idle >= 2.7.13-28.16.1
  • python-tk >= 2.7.13-28.16.1
  • python-xml >= 2.7.13-28.16.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2520
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libpython2_7-1_0 >= 2.7.13-28.16.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.16.1
  • python >= 2.7.13-28.16.1
  • python-32bit >= 2.7.13-28.16.1
  • python-base >= 2.7.13-28.16.1
  • python-base-32bit >= 2.7.13-28.16.1
  • python-curses >= 2.7.13-28.16.1
  • python-demo >= 2.7.13-28.16.1
  • python-doc >= 2.7.13-28.16.1
  • python-doc-pdf >= 2.7.13-28.16.1
  • python-gdbm >= 2.7.13-28.16.1
  • python-idle >= 2.7.13-28.16.1
  • python-tk >= 2.7.13-28.16.1
  • python-xml >= 2.7.13-28.16.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2018-2520
SUSE Linux Enterprise Software Development Kit 12 SP3
  • python-base >= 2.7.13-28.16.1
  • python-devel >= 2.7.13-28.16.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-2520
SUSE Linux Enterprise Software Development Kit 12 SP4
  • python-base >= 2.7.13-28.16.1
  • python-devel >= 2.7.13-28.16.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2018-2520
SUSE Linux Enterprise Workstation Extension 12 SP3
  • python-base >= 2.7.13-28.16.1
  • python-devel >= 2.7.13-28.16.1
Patchnames:
SUSE-SLE-WE-12-SP3-2018-2520
SUSE Linux Enterprise Workstation Extension 12 SP4
  • python-base >= 2.7.13-28.16.1
  • python-devel >= 2.7.13-28.16.1
Patchnames:
SUSE-SLE-WE-12-SP4-2018-2520
openSUSE Leap 15.0
  • libpython2_7-1_0 >= 2.7.14-lp150.6.3.1
  • libpython2_7-1_0-32bit >= 2.7.14-lp150.6.3.1
  • libpython2_7-1_0-32bit-debuginfo >= 2.7.14-lp150.6.3.1
  • libpython2_7-1_0-debuginfo >= 2.7.14-lp150.6.3.1
  • python >= 2.7.14-lp150.6.3.2
  • python-32bit >= 2.7.14-lp150.6.3.2
  • python-32bit-debuginfo >= 2.7.14-lp150.6.3.2
  • python-base >= 2.7.14-lp150.6.3.1
  • python-base-32bit >= 2.7.14-lp150.6.3.1
  • python-base-32bit-debuginfo >= 2.7.14-lp150.6.3.1
  • python-base-debuginfo >= 2.7.14-lp150.6.3.1
  • python-base-debugsource >= 2.7.14-lp150.6.3.1
  • python-curses >= 2.7.14-lp150.6.3.2
  • python-curses-debuginfo >= 2.7.14-lp150.6.3.2
  • python-debuginfo >= 2.7.14-lp150.6.3.2
  • python-debugsource >= 2.7.14-lp150.6.3.2
  • python-demo >= 2.7.14-lp150.6.3.2
  • python-devel >= 2.7.14-lp150.6.3.1
  • python-doc >= 2.7.14-lp150.6.3.1
  • python-doc-pdf >= 2.7.14-lp150.6.3.1
  • python-gdbm >= 2.7.14-lp150.6.3.2
  • python-gdbm-debuginfo >= 2.7.14-lp150.6.3.2
  • python-idle >= 2.7.14-lp150.6.3.2
  • python-tk >= 2.7.14-lp150.6.3.2
  • python-tk-debuginfo >= 2.7.14-lp150.6.3.2
  • python-xml >= 2.7.14-lp150.6.3.1
  • python-xml-debuginfo >= 2.7.14-lp150.6.3.1
Patchnames:
openSUSE-2019-765
openSUSE Leap 42.3
  • libpython2_7-1_0 >= 2.7.13-27.9.1
  • libpython2_7-1_0-32bit >= 2.7.13-27.9.1
  • libpython2_7-1_0-debuginfo >= 2.7.13-27.9.1
  • libpython2_7-1_0-debuginfo-32bit >= 2.7.13-27.9.1
  • python >= 2.7.13-27.9.1
  • python-32bit >= 2.7.13-27.9.1
  • python-base >= 2.7.13-27.9.1
  • python-base-32bit >= 2.7.13-27.9.1
  • python-base-debuginfo >= 2.7.13-27.9.1
  • python-base-debuginfo-32bit >= 2.7.13-27.9.1
  • python-base-debugsource >= 2.7.13-27.9.1
  • python-curses >= 2.7.13-27.9.1
  • python-curses-debuginfo >= 2.7.13-27.9.1
  • python-debuginfo >= 2.7.13-27.9.1
  • python-debuginfo-32bit >= 2.7.13-27.9.1
  • python-debugsource >= 2.7.13-27.9.1
  • python-demo >= 2.7.13-27.9.1
  • python-devel >= 2.7.13-27.9.1
  • python-doc >= 2.7.13-27.9.1
  • python-doc-pdf >= 2.7.13-27.9.1
  • python-gdbm >= 2.7.13-27.9.1
  • python-gdbm-debuginfo >= 2.7.13-27.9.1
  • python-idle >= 2.7.13-27.9.1
  • python-tk >= 2.7.13-27.9.1
  • python-tk-debuginfo >= 2.7.13-27.9.1
  • python-xml >= 2.7.13-27.9.1
  • python-xml-debuginfo >= 2.7.13-27.9.1
Patchnames:
openSUSE-2018-1363


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 python Released
CaaS Platform 2.0 python Released
CaaS Platform 3.0 python Released
OpenStack Cloud Magnum Orchestration 7.0 python Released
SUSE Linux Enterprise Desktop 12 SP3 python Released
SUSE Linux Enterprise Desktop 12 SP3 python3 Not affected
SUSE Linux Enterprise Desktop 12 SP4 python Released
SUSE Linux Enterprise High Performance Computing 12 python Released
SUSE Linux Enterprise Module for Basesystem 15 GA python Released
SUSE Linux Enterprise Module for Basesystem 15 GA python3 Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 GA python Released
SUSE Linux Enterprise Module for Web and Scripting 12 python3 Not affected
SUSE Linux Enterprise SDK 11 SP4 python Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS python Not affected
SUSE Linux Enterprise Server 11 SP4 python Not affected
SUSE Linux Enterprise Server 12 GA LTSS python3 Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS python Affected
SUSE Linux Enterprise Server 12 SP1 LTSS python3 Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS python Affected
SUSE Linux Enterprise Server 12 SP2 LTSS python3 Not affected
SUSE Linux Enterprise Server 12 SP3 python Released
SUSE Linux Enterprise Server 12 SP3 python3 Not affected
SUSE Linux Enterprise Server 12 SP4 python Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 python Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 python Released
SUSE Storage 5 python Released